Package twisted :: Package protocols :: Module smtp :: Class IMessage |
[frames | no frames]

## Class IMessage

    Interface --+
                |
               IMessage

Interface definition for messages that can be sent via SMTP.

Method Summary
| ``connectionLost`(self)` handle message truncated
| ``eomReceived`(self)` handle end of message
| ``lineReceived`(self, line)` handle another line

Method Details

### connectionLost(self) handle message truncated semantics should be to discard the message

### eomReceived(self) handle end of message return a deferred. The deferred should be called with either: callback(string) or errback(error)

### lineReceived(self, line) handle another line

Generated by Epydoc 2.0 on Sat Oct 25 00:54:54 2003 | http://epydoc.sf.net